Print Receipt
curl --request POST \
--url https://api.hit-pay.com/v1/charges/{charge_id}/receipt/print \
--header 'Content-Type: application/json' \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>' \
--data '
{
"terminal_id": "S1F2-000158240536593"
}
'import requests
url = "https://api.hit-pay.com/v1/charges/{charge_id}/receipt/print"
payload = { "terminal_id": "S1F2-000158240536593" }
headers = {
"X-BUSINESS-API-KEY": "<x-business-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-BUSINESS-API-KEY': '<x-business-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({terminal_id: 'S1F2-000158240536593'})
};
fetch('https://api.hit-pay.com/v1/charges/{charge_id}/receipt/print', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
1{
"message": "The given data was invalid. Terminal not found",
"errors": {
"terminal_id": [
"Terminal not found"
]
}
}Charges
Print Charge Receipt
Print charge or refund receipt from an All-in-One terminal
POST
/
v1
/
charges
/
{charge_id}
/
receipt
/
print
Print Receipt
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
The charge_id belongs to the business.
Body
application/json
The terminal id belongs to the business.
Example:
"S1F2-000158240536593"
Response
204
Last modified on February 25, 2026
Was this page helpful?
⌘I